# OnprintSDK

## Pré-requis

- iOS 9.0+
- Swift 4.1
- Xcode 9.0+

## Installation

Pour installer le SDK vous devez glisser le fichier **OnprintSDK.framework** dans la section **Embedded Binaries** de l'onglet **General** de la target utilisée.

## Initialisation

Pour initialiser le SDK vous devez ajouter la ligne suivante à l'intérieur de la méthode ```didFinishLaunchingWithOptions``` de l'AppDelegate.

``` Swift
Onprint.setAPIKey("apiKey")
```
Vous devez utiliser votre propre clé Onprint pour démarrer le SDK.

## Camera

Vous pouvez initialiser la vue **Camera** via la méthode suivante :

``` Swift
Onprint.cameraViewController()
```

L'instance de **CameraViewController** est embarquée dans un **UINavigationController**. Elle contient un bouton qui permet le scan d'une photo et l'affichage des données associés.